<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>Mixing backups with external snapshots</h1>

<ul>
  <li>managing disabled bitmaps in libvirt proved to be too complex</li>
  <li>each checkpoint creates a new bitmap, but all bitmaps are left active</li>
  <li>bitmaps are copied or merged alongside block job tasks</li></li>
</ul>

<p>Initial state
  <table>
    <tr>
      <td style="vertical-align: top;">
	<p style="font-size:20px;">Base.qcow2</p>
	<table class="disk">
	  <tr>
	    <th style="visibility:hidden;">b0</th>
	    <th>A</th><th>-</th><th>A</th><th>A</th>
	    <th>-</th><th>A</th><th>-</th><th>-</th>
	  </tr>
	</table>
      </td>
    </tr>
  </table>
</p>
